#
# spec file for package util-linux (Version 2.12)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  pam-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool pam-devel perl rpm

Name:         util-linux
URL:          http://kernel.org/pub/linux/utils/util-linux
Provides:     util rawio raw base
Obsoletes:    util rawio raw base
PreReq:       %install_info_prereq
License:      GPL, BSD
Group:        System/Base
Autoreqprov:  on
Version:      2.12
Release:      72.39.3
Summary:      A collection of basic system utilities
Source:       ftp://ftp.kernel.org/pub/linux/utils/util-linux/util-linux-%{version}.tar.bz2
Source1:      pmac-utils-2.1.tar.gz
Source2:      nologin.c
Source3:      nologin.8
Source4:      raw.init
Source5:      etc.raw
Source7:      lsprop.c
Source8:      guessfstype.8
%define time_ver 1.7
%define which_ver 2.13
%define adjtimex_ver 1.12
Source9:      adjtimex-%{adjtimex_ver}.tar.bz2
Source10:     freeramdisk.tar.bz2
Source11:     klogconsole.tar.bz2
Source12:     which-%{which_ver}.tar.gz
Source13:     time-%{time_ver}.tar.gz
Source14:     nvsetenv.8
Source15:     cryptoloop.txt
Source16:     hashalot-0.2.0.tar.bz2
Source17:     cryptsetup
Source20:     README.loop-AES-v2.0f
Source21:     README.loop-AES-v2.0f.SuSE
Source22:     setctsid.c
Source23:     setctsid.8
Source24:     sm-notify-20040305.tar.bz2
Source25:     nfsboot
Source26:     README.raw
Patch:        util-linux-%{version}.diff
Patch2:       loop-AES-v2.0f-util-linux-2.12.diff
Patch3:       util-linux-2.12-multipleraw.diff
Patch4:       util-linux-2.12-dev_t.diff
Patch5:       util-linux-2.11z-mountumask.diff
Patch7:       util-linux-2.12-hostid.diff
Patch8:       util-linux-wall.dif
Patch9:       adjtimex-ia64.patch.gz
Patch10:      util-linux-2.12-mount_guessfstype.diff
Patch11:      guessfstype2.patch
Patch15:      util-linux-nfs.8.diff
Patch23:      util-linux-2.11b-mtablock.patch
Patch24:      util-linux-2.11y-reiserfs_mount_uuid-2.diff
Patch25:      util-linux-2.11u-nfs-mount_acl.diff
Patch26:      mount.8-acl.diff
Patch27:      klogconsole-quiet.patch
Patch32:      klogconsole.diff
Patch33:      adjtimex-%{adjtimex_ver}-multistring.diff
Patch40:      time-1.7.dif
Patch43:      util-linux-2.11z-hwclock_geteuid.diff
Patch44:      util-linux-2.11z-adjtimex_no_syscall.diff
Patch45:      mount-nfs-nonreserved
Patch46:      util-linux-2.12-nfs-tcp.diff
Patch51:      util-linux-2.12-suse-compatibility.diff
Patch52:      util-linux-2.12-enablereplaybuild.diff
Patch53:      util-linux-2.12-scriptlocale.diff
Patch54:      util-linux-2.12-hwclocktimeout.diff
Patch55:      util-linux-2.12-64bitreadprofile.diff
Patch56:      util-linux-2.12-elvtunewarning.diff
Patch57:      sm-notify-20040305.diff
Patch58:      util-linux-2.12a-procswapscheck.diff
Patch59:      util-linux-2.12-dmesgbufsize.diff
Patch60:      sm-notify-resvport.patch
Patch61:      util-linux-2.12-mountfallback.patch
Patch62:      util-linux-2.12-sgilabel.diff
Patch63:      sm-notify-srcaddr.patch
Patch64:      util-linux-2.12h-umounthelper.diff
Patch65:      util-linux-2.12-mount-ocfs2-support.patch
Patch66:      util-linux-2.12-mount-guess-use-special.patch
Patch67:      sm-notify-20040305-byname.patch
Patch68:      util-linux-nfs-timeo.diff
Patch69:      util-linux-warn-nfsudp.diff
Patch70:      util-linux-2.12-umount-remount-root.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %insserv_prereq %fillup_prereq /bin/sed

%description
This package contains a large variety of low-level system utilities
that are necessary for a Linux system to function. It contains the
mount program, the fdisk configuration tool, and more.



Authors:
--------
    Andries E. Brouwer <Andries.Brouwer@cwi.nl>

%prep
rm -rf pmac-utils
%setup -q -b 1 -a 9 -b 10 -b 11 -b 12 -b 13 -b 16 -b 24
%patch -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1
%patch9
%patch10 -p1
%patch11 -p1
%patch33 -p1
%patch43
%patch44
%patch15 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p0
%patch46 -p1
%patch51 -p1
%patch52 -p0
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch58 -p1
%patch59 -p0
%patch61 -p1
%patch62 -p0
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
mv ../hashalot*/README README.hashalot
chmod 644 README.hashalot
# setctsid
cp %{SOURCE22} %{SOURCE23} .
# nologin and guessfstype
cp %{SOURCE2} %{SOURCE3} %{SOURCE7} %{SOURCE8} %{SOURCE15} %{SOURCE17} \
   %{SOURCE20} %{SOURCE21} %{SOURCE26} .
cd ../klogconsole
%patch27 -p1 -b .quiet
%patch32 -p1 
cd ../time-*
%patch40
cd ../sm-notify*
%patch57 -p1
%patch60 -p0
%patch63 -p1
%patch67 -p1

%build
# adjtimex build
cd adjtimex-%{adjtimex_ver}
./configure
make
cd ..
pushd ../
# freeramdisk build
cd freeramdisk
make CFLAGS="$RPM_OPT_FLAGS" freeramdisk
cd ..
# which build
cd which-%{which_ver}
%{?suse_update_config:%{suse_update_config}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
				    --mandir=%{_mandir} \
				    --infodir=%{_infodir} \
				    %{_target_cpu}-suse-linux
make
cd ..
# time build
cd time-%{time_ver}
%{?suse_update_config:%{suse_update_config}}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE " INSTALL_PROGRAM='$(INSTALL) -s' \
	./configure --prefix=/usr \
		    --mandir=%{_mandir} \
		    --infodir=%{_infodir} \
		    %{_target_cpu}-suse-linux
make
make check
cd ..
# klogconsole build
cd klogconsole
make
cd ..
# hashalot build
cd hashalot*
./configure --prefix=/usr
make
cd ..
# sm-notify build
cd sm-notify*
make CFLAGS="$RPM_OPT_FLAGS"
popd
# setctsid build
rm -f setctsid
make setctsid
# util-linux itself
%ifarch s390 s390x
export CFLAGS=-DCONFIG_SMP
%endif
export CFLAGS="$CFLAGS -fno-strict-aliasing"
./configure
make
gcc $RPM_OPT_FLAGS -o nologin nologin.c
#
# if ppc, also do the pmac-utils
%ifarch ppc
gcc $RPM_OPT_FLAGS -o lsprop lsprop.c
cd ../pmac-utils*
make nvsetenv
%endif

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"{/etc/init.d,%{_mandir}/man{1,8},\
/bin,/sbin,/usr/bin,/usr/sbin,%{_infodir}}
cp adjtimex-1.12/adjtimex %{buildroot}/usr/sbin/
cp adjtimex-1.12/adjtimex.8  %{buildroot}%{_mandir}/man8/
pushd ..
# freeramdisk install
cd freeramdisk
install freeramdisk $RPM_BUILD_ROOT/usr/sbin
install -m644 freeramdisk.info.gz $RPM_BUILD_ROOT%{_infodir}
cd ..
# which install
cd which-%{which_ver}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/which
install -m 0644 README    $RPM_BUILD_ROOT%{_defaultdocdir}/which/
install -m 0644 EXAMPLES  $RPM_BUILD_ROOT%{_defaultdocdir}/which/
install -m 0644 README.alias $RPM_BUILD_ROOT%{_defaultdocdir}/which/
cd ..
# time install
cd time-%{time_ver}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/time
make install DESTDIR=$RPM_BUILD_ROOT \
        prefix=$RPM_BUILD_ROOT/usr \
        infodir=$RPM_BUILD_ROOT%{_infodir} \
        mandir=$RPM_BUILD_ROOT%{_mandir}
install -m 0644 README    $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 AUTHORS   $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 COPYING   $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 NEWS      $RPM_BUILD_ROOT%{_defaultdocdir}/time/
cd ..
# klogconsole install
cd klogconsole
make install DEST=$RPM_BUILD_ROOT
cd ..
# hashalot install
cd hashalot*
make install DESTDIR=$RPM_BUILD_ROOT
cd ..
# sm-notify install
cd sm-notify*
install sm-notify $RPM_BUILD_ROOT/sbin
install sm-notify.8 $RPM_BUILD_ROOT/%_mandir/man8
install %SOURCE25 $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/sm
chmod 700 $RPM_BUILD_ROOT/var/lib/nfs/sm
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/sm.bak
chmod 700 $RPM_BUILD_ROOT/var/lib/nfs/sm.bak
touch $RPM_BUILD_ROOT/var/lib/nfs/state
chmod 600 $RPM_BUILD_ROOT/var/lib/nfs/state
cd ..
# cryptsetup install
install %SOURCE17 $RPM_BUILD_ROOT/usr/sbin
popd
# util-linux install
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/bin/logger $RPM_BUILD_ROOT/bin/logger
install -m 644 mount/filesystems $RPM_BUILD_ROOT/etc/filesystems
install -m 755 nologin $RPM_BUILD_ROOT/sbin
install -m 755 mount/guessfstype $RPM_BUILD_ROOT/bin
install -m 644 nologin.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 disk-utils/raw $RPM_BUILD_ROOT/usr/sbin
install -m 644 disk-utils/raw.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 guessfstype.8 $RPM_BUILD_ROOT%{_mandir}/man8
# setctsid install
install -m 755 setctsid   $RPM_BUILD_ROOT/usr/sbin
install -m 444 setctsid.8 $RPM_BUILD_ROOT%{_mandir}/man8/
%ifarch ppc
install -m 755 lsprop $RPM_BUILD_ROOT/sbin
cd ../pmac-utils*
install -m 644 %{S:14} $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 nvsetenv $RPM_BUILD_ROOT/sbin
%else
ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock
ln -sf hwclock.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/clock.8.gz
%endif
echo -e "#! /bin/bash\n/sbin/blockdev --flushbufs \$1" > $RPM_BUILD_ROOT/usr/sbin/flushb
chmod 755 $RPM_BUILD_ROOT/usr/sbin/flushb
# Install scripts to configure raw devices at boot time
install -m 644 $RPM_SOURCE_DIR/etc.raw   $RPM_BUILD_ROOT/etc/raw
install -m 755 $RPM_SOURCE_DIR/raw.init $RPM_BUILD_ROOT/etc/init.d/raw
ln -sf ../../etc/init.d/raw $RPM_BUILD_ROOT/usr/sbin/rcraw
# Stupid hack so we don't have a tcsh dependency
chmod 644 $RPM_BUILD_ROOT/usr/share/misc/getopt/*
# Following files we don't want to package, so remove them
rm -f $RPM_BUILD_ROOT/bin/kill
rm -f $RPM_BUILD_ROOT/sbin/guessfstype # in /bin
rm -f $RPM_BUILD_ROOT/usr/bin/last
rm -f $RPM_BUILD_ROOT/usr/bin/raw
rm -f $RPM_BUILD_ROOT/usr/bin/pg
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/kill.1*
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/last.1*
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/pg.1*
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT/etc/fdprm
rm -f $RPM_BUILD_ROOT/sbin/clock
rm -f $RPM_BUILD_ROOT/usr/bin/cytune
rm -f $RPM_BUILD_ROOT/usr/bin/fdformat
rm -f $RPM_BUILD_ROOT/sbin/hwclock
rm -f $RPM_BUILD_ROOT/usr/sbin/klogconsole
rm -f $RPM_BUILD_ROOT/usr/bin/setfdprm
rm -f $RPM_BUILD_ROOT/usr/bin/setterm
rm -f $RPM_BUILD_ROOT/usr/sbin/tunelp
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/clock.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/cytune.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/fdformat.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/hwclock.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/klogconsole.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/setfdprm.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/tunelp.8*
%endif
%ifnarch %ix86
rm -f $RPM_BUILD_ROOT/usr/sbin/ramsize
rm -f $RPM_BUILD_ROOT/usr/sbin/rdev
rm -f $RPM_BUILD_ROOT/usr/sbin/rootflags
rm -f $RPM_BUILD_ROOT/usr/sbin/vidmode
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ramsize.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/rdev.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/rootflags.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vidmode.8*
%endif
%ifarch ia64 sparc
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/cfdisk.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/sfdisk.8*
rm -f $RPM_BUILD_ROOT/sbin/cfdisk
rm -f $RPM_BUILD_ROOT/sbin/sfdisk
%endif
%ifarch ia64
rm -f $RPM_BUILD_ROOT/sbin/fdisk
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/fdisk.8*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -ps raw ACTIVATE_RAW_DEV}
%{fillup_and_insserv -fY nfsboot}
%install_info --entry="* freeramdisk: (freeramdisk). tell kernel to free allocated memory for ramdisk" --info-dir=%{_infodir} %{_infodir}/freeramdisk.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/ipc.info.gz
%install_info --entry="* time: (time). summarizing used system resources" --info-dir=%{_infodir} %{_infodir}/time.info.gz
%install_info --entry="* which: (which). show the full path of (shell) commands" --info-dir=%{_infodir} %{_infodir}/which.info.gz
# mount option 'code=' is now called 'codepage=' so change fstab
if [ -f etc/fstab ]; then
	sed -i 's:code=:codepage=:' etc/fstab
fi
	

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/freeramdisk.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/ipc.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/time.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/which.info.gz
%{insserv_cleanup}

%files
# Common files for all archs
%defattr(-,root,root)
%doc HISTORY INSTALL
%doc login-utils/README.getty
%doc login-utils/README.modems-with-agetty
%doc login-utils/README.poeigl
%doc misc-utils/README.cal
%doc misc-utils/README.namei
%doc misc-utils/README1.namei
%doc mount/README.mount
%doc hwclock/README.hwclock
%doc text-utils/README.col
%doc README.hashalot README.loop-AES-v2.0f README.loop-AES-v2.0f.SuSE
%doc README.raw
%config %attr(744,root,root) /etc/init.d/raw
%attr(700,root,root) /etc/init.d/nfsboot
%config(noreplace) %attr(644,root,root) /etc/raw
/usr/sbin/rcraw
/bin/arch
/bin/dmesg
/bin/guessfstype
/bin/more
/bin/mount
/bin/umount
%config /etc/filesystems
/sbin/agetty
/sbin/blockdev
/sbin/elvtune
/sbin/ctrlaltdel
/sbin/fsck.minix
/sbin/fsck.cramfs
/sbin/losetup
/sbin/mkfs
/sbin/mkfs.bfs
/sbin/mkfs.minix
/sbin/mkfs.cramfs
/sbin/mkswap
/sbin/nologin
/sbin/pivot_root
/sbin/sln
/sbin/sm-notify
/sbin/swapoff
/sbin/swapon
/bin/logger
/usr/bin/cal
/usr/bin/chkdupexe
/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/ddate
/usr/bin/getopt
/usr/bin/hexdump
/usr/bin/hostid
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/isosize
/usr/bin/line
/usr/bin/look
/usr/bin/mcookie
/usr/bin/mesg
/usr/bin/namei
/usr/bin/rename
/usr/bin/renice
/usr/bin/replay
/usr/bin/rev
/usr/bin/script
/usr/bin/setsid
/usr/bin/ul
/usr/bin/tailf
/usr/bin/time
/usr/bin/which
/usr/sbin/freeramdisk
/usr/sbin/hashalot
/usr/sbin/setctsid
/usr/sbin/cryptsetup
%attr(0755,root,tty) /usr/bin/wall
/usr/bin/whereis
/usr/sbin/adjtimex
%attr(0755,root,tty) /usr/bin/write
%dir %{_defaultdocdir}/which
%dir %{_defaultdocdir}/time
/var/lib/nfs
%ghost /var/lib/nfs/state
%{_defaultdocdir}/which/*
%{_defaultdocdir}/time/*
%{_infodir}/ipc.info.gz
%{_infodir}/freeramdisk.info*.gz
%{_infodir}/time.info*.gz
%{_infodir}/which.info*.gz
%{_mandir}/man1/arch.1.gz
%{_mandir}/man1/cal.1.gz
%{_mandir}/man1/chkdupexe.1.gz
%{_mandir}/man1/col.1.gz
%{_mandir}/man1/colcrt.1.gz
%{_mandir}/man1/colrm.1.gz
%{_mandir}/man1/column.1.gz
%{_mandir}/man1/ddate.1.gz
%{_mandir}/man1/getopt.1.gz
%{_mandir}/man1/hexdump.1.gz
%{_mandir}/man1/hostid.1.gz
%{_mandir}/man1/line.1.gz
%{_mandir}/man1/logger.1.gz
%{_mandir}/man1/look.1.gz
%{_mandir}/man1/mcookie.1.gz
%{_mandir}/man1/mesg.1.gz
%{_mandir}/man1/more.1.gz
%{_mandir}/man1/namei.1.gz
%{_mandir}/man1/readprofile.1.gz
%{_mandir}/man1/rename.1.gz
%{_mandir}/man1/replay.1.gz
%{_mandir}/man1/rev.1.gz
%{_mandir}/man1/script.1.gz
%{_mandir}/man1/tailf.1.gz
%{_mandir}/man1/ul.1.gz
%{_mandir}/man1/wall.1.gz
%{_mandir}/man1/whereis.1.gz
%{_mandir}/man1/write.1.gz
%{_mandir}/man1/which.1.gz
%{_mandir}/man5/fstab.5.gz
%{_mandir}/man5/nfs.5.gz
%{_mandir}/man8/agetty.8.gz
%{_mandir}/man8/blockdev.8.gz
%{_mandir}/man1/setterm.1.gz
%{_mandir}/man8/elvtune.8*
%{_mandir}/man8/ctrlaltdel.8.gz
%{_mandir}/man8/adjtimex.8.gz
%{_mandir}/man8/mkfs.bfs.8.gz
%{_mandir}/man8/mkfs.minix.8.gz
%{_mandir}/man8/fsck.minix.8.gz
%{_mandir}/man8/dmesg.8.gz
%{_mandir}/man8/ipcrm.8.gz
%{_mandir}/man8/ipcs.8.gz
%{_mandir}/man8/isosize.8.gz
%{_mandir}/man8/losetup.8.gz
%{_mandir}/man8/mkfs.8.gz
%{_mandir}/man8/mkswap.8.gz
%{_mandir}/man8/mount.8.gz
%{_mandir}/man8/nologin.8.gz
%{_mandir}/man8/pivot_root.8.gz
%{_mandir}/man8/raw.8.gz
%{_mandir}/man8/renice.8.gz
%{_mandir}/man8/setsid.8.gz
%{_mandir}/man8/sln.8.gz
%{_mandir}/man8/sm-notify.8.gz
%{_mandir}/man8/swapoff.8.gz
%{_mandir}/man8/swapon.8.gz
%{_mandir}/man8/umount.8.gz
%{_mandir}/man8/guessfstype.8.gz
%{_mandir}/man8/setctsid.8.gz
/usr/sbin/raw
/usr/sbin/flushb
/usr/sbin/readprofile
%dir /usr/share/misc/getopt
%attr (755,root,root) /usr/share/misc/getopt/getopt-parse.bash
%attr (755,root,root) /usr/share/misc/getopt/getopt-parse.tcsh
%attr (755,root,root) /usr/share/misc/getopt/getopt-test.bash
%attr (755,root,root) /usr/share/misc/getopt/getopt-test.tcsh
/usr/share/locale/*/LC_MESSAGES/util-linux.mo
%ifnarch ia64
%doc fdisk/README.fdisk
/sbin/fdisk
%{_mandir}/man8/fdisk.8.gz
%endif
%ifnarch ia64 sparc
%doc fdisk/README.cfdisk
%{_mandir}/man8/cfdisk.8.gz
%{_mandir}/man8/sfdisk.8.gz
/sbin/cfdisk
/sbin/sfdisk
%endif
%ifarch %ix86
/usr/sbin/ramsize
/usr/sbin/rdev
/usr/sbin/rootflags
/usr/sbin/vidmode
%{_mandir}/man8/ramsize.8.gz
%{_mandir}/man8/rdev.8.gz
%{_mandir}/man8/rootflags.8.gz
%{_mandir}/man8/vidmode.8.gz
%endif
%ifarch ppc
/sbin/lsprop
/sbin/nvsetenv
%{_mandir}/man8/nvsetenv.8.gz
%endif
%ifnarch s390 s390x
%config(noreplace) /etc/fdprm
%ifnarch ppc
/sbin/clock
%{_mandir}/man8/clock.8.gz
%endif
/usr/bin/cytune
/usr/bin/fdformat
/sbin/hwclock
/usr/sbin/klogconsole
/usr/bin/setfdprm
/usr/bin/setterm
/usr/sbin/tunelp
%{_mandir}/man8/cytune.8.gz
%{_mandir}/man8/fdformat.8.gz
%{_mandir}/man8/hwclock.8.gz
%{_mandir}/man8/klogconsole.8.gz
%{_mandir}/man8/setfdprm.8.gz
%{_mandir}/man8/tunelp.8.gz
%endif

%changelog -n util-linux
* Tue Sep 13 2005 - mmj@suse.de
- Only allow root to pass -r to umount [#116741]
* Tue Jun 28 2005 - mmj@suse.de
- Document load and clearly issues about NFS over UDP [#80263]
* Thu Apr 28 2005 - mmj@suse.de
- make mount-guess-use-special honor the fake (-f) option [#72247]
* Tue Apr 12 2005 - mmj@suse.de
- bump TCP timeo to 600 [#76198]
* Mon Apr 11 2005 - okir@suse.de
- support statd notification by name [#64901]
* Thu Apr 07 2005 - mmj@suse.de
- Sleep after inserting the raw module to make sure it's ready [#64807]
* Thu Mar 17 2005 - mmj@suse.de
- Add patch for ocfs2 support, and a patch for letting guess_fs_type
  use a helper program [#72247]
* Mon Feb 21 2005 - mmj@suse.de
- Remove *fdisk on ia64 [#63964]
* Thu Nov 11 2004 - mmj@suse.de
- Add umount helper patch [#39409]
* Fri Oct 29 2004 - okir@suse.de
- sm-notify: allow selection of IP source addr on command line (#47648)
* Tue Oct 19 2004 - mmj@suse.de
- Add patch from SGI for fdisk label [#47368]
* Tue Aug 24 2004 - mmj@suse.de
- Fix signed/unsigned bug in lsprop [#44048]
* Wed Jun 09 2004 - mmj@suse.de
- Add patch from Olaf Kirch to make protocol selection for mount
  independent of protocol selection for NFS, and picks what is
  available (preferring TCP over UDP) [#41735]
* Fri Jun 04 2004 - mls@suse.de
- add '-f' option to setctsid
* Thu May 27 2004 - okir@suse.de
- sm-notify now binds to a reserved port
* Wed May 12 2004 - mmj@suse.de
- Add documentation about raw device handling [#39037]
* Mon May 10 2004 - mmj@suse.de
- Make dmesg dump entire buffer. Patch from Andries/odabrunz [#39761]
* Thu May 06 2004 - mmj@suse.de
- Also check if the device is the same when doing swapon. Could be
  the same block device with 2 different names [#39436]
* Wed May 05 2004 - mmj@suse.de
- Do a /sbin/modprobe raw when invoking raw devices [#39037]
* Mon Apr 19 2004 - mmj@suse.de
- Add patch for unlimited raw devices [#39037]
* Thu Apr 15 2004 - mmj@suse.de
- Make sm-notify be more quiet when nothing wrong, and log to sys-
  log when something is.
* Tue Apr 06 2004 - mmj@suse.de
- Don't use startproc for sm-notify [#38481]
* Mon Apr 05 2004 - mmj@suse.de
- Removing elvtune alltogether was a bit drastic, since it of
  course works fine with 2.4 kernels. So print a warning in case
  the BLKELVGET ioctl returns something indicating 2.6 kernels.
* Thu Apr 01 2004 - mmj@suse.de
- Don't package elvtune anymore since it's obsolete now that io
  scheduler can be tuned in /sys/block/hdX/queue/iosched/* [#37869]
* Wed Mar 31 2004 - mmj@suse.de
- Apply util-linux-2.12a fixes for hwclock and readprofile. The
  hwclock bit is a timout fix which hopefully fixes [#35877]
- Move sm-notify to here from nfs-utils [#36737]
* Mon Mar 29 2004 - mmj@suse.de
- Adjust warnings about Crypto-API
* Sun Mar 28 2004 - mmj@suse.de
- Add patch to make script allways use the same LC_NUMERIC [#35476]
* Fri Mar 26 2004 - od@suse.de
- Add setctsid by Werner Fink [#37177]
* Fri Mar 26 2004 - mmj@suse.de
- Mount option "code" is now "codepage" so update /etc/fstab in
  postinstall [#36950]
* Fri Mar 26 2004 - mmj@suse.de
- Remove false statement in nfs.5 about the linux kernel not
  supporting nfs over tcp [#37060]
* Wed Mar 17 2004 - mmj@suse.de
- Use correct permissions for README.hashalot [#36303]
* Mon Mar 08 2004 - mmj@suse.de
- Enable build of replay [#35434]
* Wed Feb 25 2004 - mmj@suse.de
- Use loop-AES-v2.0f-util-linux-2.12.diff instead of losetup patch
  added earlier. Thanks Sumit Bose!
* Thu Feb 19 2004 - mmj@suse.de
- Add cryptsetup script from Christophe Saout, for usage with the
  new dm-crypt.
* Mon Feb 16 2004 - mmj@suse.de
- Add losetup patch and hashalot program from Ben Slusky
* Sun Feb 01 2004 - kukuk@suse.de
- Remove newgrp again (will use POSIX conform version)
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Mon Jan 12 2004 - mmj@suse.de
- Adjust the nfs.5 manual page to reflect we're mounting nfs over
  tcp pr. default.
- Collapse two similar patches 2 one.
* Fri Dec 19 2003 - garloff@suse.de
- Fix by okir for previous patch.
* Fri Dec 19 2003 - garloff@suse.de
- Add patch to fallback to UDP if TCP NFS mount fails.
* Tue Dec 02 2003 - mmj@suse.de
- Make patch to guess if a CD is a CD-Extra [#30316]
- Adjust patch that moves ext2/3 in front of vfat
- Regenerate patches (filename still tells when they were added)
* Tue Nov 18 2003 - mmj@suse.de
- Mount NFS over TCP pr. default [#33018]
* Thu Nov 13 2003 - mmj@suse.de
- Update to util-linux-2.12 including:
  o losetup: -p option specifies fd for passphrase
  o fdisk: sgi layout fix
  o mount: -p option specifies fd for passphrase
  o mount: recognize some PCDOS floppies
  o umount: in "umount name", first try to interpret "name" as a mount point
  o translations updates for several languages
  o cfdisk: localize the Y/N answer, improve printing localized messages
  o cfdisk: make various variables long long - some disks are close to 2 TB
  o cfdisk: use BLKGETSIZE64
  o fdisk: make various variables unsigned to lengthen the life of 32-bit vars
  o fdisk: some sgi fixes
  o fdisk: k=1000, K=1024
  o fdisk: removed last occurrences of HDIO_REQ
  o fdisk: use BLKGETSIZE64
  o hwclock: fix rtc test
  o login: set a timeout on printing the timeout message
  o md5: x86_64 fix
  o more: POSIX fixes
  o mount: do not supply MS_MGC_VAL when there are conflicting flags
  o mount: ncp and smb are called smbfs and ncpfs - global change
  o mount: add support for xvm mount by label
  o mount: correct hfs magic recognition
  o mount: keep original umask - it influences the mount call
  o raw.8: documented unbinding of raw devices
  o readprofile: fixed off-by eight error
  o script: add -c option
  o sfdisk.8: added an example of partitioning with logical partitions
  o sfdisk: only add a AA55 signature for DOS-type partition tables
  o tailf: new
* Tue Oct 21 2003 - mmj@suse.de
- Correct permissions
* Tue Oct 21 2003 - ja@suse.cz
- added support for cryptoloop in 2.6.x kernels.
* Wed Oct 15 2003 - mmj@suse.de
- Don't build as root
* Mon Oct 13 2003 - kukuk@suse.de
- Enable newgrp
* Thu Oct 02 2003 - kukuk@suse.de
- Fix compiling with kernel 2.6.0-test6 header files
* Tue Aug 12 2003 - mmj@suse.de
- Update to pmac-utils-2.1 sources and only include nvsetenv
* Tue Aug 12 2003 - mmj@suse.de
- Add mount_guessfstype support for PCDOS [#27814]
* Wed Jun 18 2003 - ak@suse.de
- support noreserved option for NFS (#27428)
* Thu Jun 05 2003 - mmj@suse.de
- Rearrange the specfile wrt. archs
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
- Remove files we don't package
* Wed May 07 2003 - mmj@suse.de
- Rearrange the do_guess_fstype() code to look for ext2/3 before
  vfat [#26581]
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 14 2003 - pthomas@suse.de
- Get rid of the syscall for adjtimex in selective cases and
  just call the glibc wrapper. Fixes build on s390.
* Mon Apr 14 2003 - pthomas@suse.de
- Use geteuid instead of getuid in hwclock to enable making
  hwclock suid root.
* Mon Apr 07 2003 - mmj@suse.de
- Only delete info entries when removing last version.
* Thu Mar 13 2003 - mmj@suse.de
- Apply patch to make sfdisk not destroy BSD slices [#25093]
* Mon Mar 03 2003 - mmj@suse.de
- Remove superflous umask(033); calls [#23292]
* Mon Mar 03 2003 - ro@suse.de
- add missing info dir entries
* Tue Feb 18 2003 - agruen@suse.de
- Add description of the effect of `mount -t nfs -o noacl' on
  the use of the GETACL and SETACL remote procedure calls to
  the nfs(5) manual page.
* Mon Feb 17 2003 - mmj@suse.de
- It's called smbfs not smb [#23697]
* Thu Feb 13 2003 - mmj@suse.de
- Readd patch for passphrase timeout that got lost [#23527]
* Fri Feb 07 2003 - mmj@suse.de
- The install_info macros need PreReq: %%install_info_prereq
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Tue Feb 04 2003 - ro@suse.de
- don't package /bin/kill (part of coreutils now)
* Tue Feb 04 2003 - meissner@suse.de
- Include tarball with pmac-utils manpages, so we do not need
  sgmltool and all its dependents.
* Wed Jan 29 2003 - mmj@suse.de
- Update to util-linux-2.11z including:
   Translation updates
   mount: fix LABEL= handling for user umount, don't abort on read
  error with photocds and add dmask and fmask vfat mount options
   setterm: accept devfs name
   simpleinit: security: refuse initctl_fd if FD_CLOEXEC fails
   umount: allow user umount after mount by label or uuid
* Wed Jan 22 2003 - sf@suse.de
- removed last patch, added new (correct) patch
* Wed Jan 22 2003 - sf@suse.de
- removed eliminate_doubles() from mkfs.cramfs.c
  for x86_64, as it segfaults.
  (makes the images slightly larger, about 10%%)
* Tue Jan 21 2003 - mmj@suse.de
- Added description of ISO mount options to mount.8 [#22915]
* Mon Dec 02 2002 - mmj@suse.de
- Update the ReiserFS patch from Chris Mason
* Fri Nov 29 2002 - mmj@suse.de
- Fix missing #include <errno.h>
* Thu Nov 28 2002 - mmj@suse.de
- Make readprofile also try to locate the System.map in
  /boot/System.map-`uname -r` [#22168]
* Wed Nov 27 2002 - mmj@suse.de
- Update to util-linux-2.11y including:
  o Translation updates
  o fdisk,cfdisk: cosmetic fixes
  o mount,umount: fix LABEL= handling for non-root [#17322]
  o more: kill external help file
  o simpleinit: security: refuse initctl_fd if setting FD_CLOEXEC
  fails (patch we had, now folded upstream)
* Wed Nov 20 2002 - mmj@suse.de
- Update to util-linux-2.11x including:
  o Translation updates for several languages
  o cfdisk: correct error printout
  o fdisk: allow addition of a new partition when logicals all used
  but primary free
  o hwclock: detect systime jumps backward during setting hwclock
  o Merge of the cramfs bloksize patch
  o mount: new --rbind flag, for recursive loopback mounts
  o mount, umount: new -O option
  o setpwnam.c: open temp pw file with O_EXCL
  o simpleinit: fix for "spawn too fast"
  o swapon: new -e option
* Tue Nov 19 2002 - mmj@suse.de
- Fix multistring assignment in adjtimex
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Thu Oct 31 2002 - mmj@suse.de
- Add -b option to mkfs.cramfs (needed for biarch architectures)
* Thu Oct 31 2002 - ro@suse.de
- hack time to build on alpha
* Tue Oct 22 2002 - mmj@suse.de
- Add correction to the ReiserFS patch that fixes the case where it
  was possible but unlikely to detect a logged copy of a super on a
  dedicated logging device as the real thing. From Chris Mason.
* Tue Oct 22 2002 - mmj@suse.de
- Update to util-linux-2.11w including:
  o fdisk and cfdisk fixes
  o more bigendian fix
  o translation updates
  o > 2GB swapspace
  o mount umask, cramfs and ocfs stuff
* Tue Oct 08 2002 - mmj@suse.de
- Only enable below patch on ix86 and x86_64
* Mon Oct 07 2002 - mmj@suse.de
- Make small bugfix to below patch
* Sat Oct 05 2002 - mmj@suse.de
- Apply patch to enable > 2GB swap (redhat) [#20533]
* Wed Oct 02 2002 - mmj@suse.de
- Add one-liner security fix to mount and umount.
* Mon Sep 23 2002 - mmj@suse.de
- Readd fix for klogconsole that got lost [#19834]
* Fri Sep 13 2002 - mmj@suse.de
- Added patch from Oracle to mount ocfs by label [#19262]
* Thu Sep 12 2002 - mmj@suse.de
- more: Do not cast char * to int and back [#18896]
* Sat Aug 31 2002 - olh@suse.de
- add mount_cramfs_be.diff to allow mount -oloop cramfsfile loopdir
* Mon Aug 26 2002 - mmj@suse.de
- Make mode not 666 when writing /etc/mtab [#18342]
* Mon Aug 26 2002 - meissner@suse.de
- quieten klogconsole if the console does not support TIOCLINUX [#12516]
* Thu Aug 22 2002 - mmj@suse.de
- Added patch from Andreas Gruenbacher for nfs-access-acl [#18183]
* Wed Aug 21 2002 - mmj@suse.de
- Fixed an mtab locking bug with patch from Olaf Kirch [#17637]
* Mon Aug 19 2002 - mmj@suse.de
- Updated reiserfs patch from Chris Mason
- Added patch for mount.8, thanks Andreas Gruenbacher
* Thu Aug 15 2002 - mmj@suse.de
- Correct PreReq:
* Mon Aug 05 2002 - mmj@suse.de
- Update to 2.11u which includes:
  o Danish, German, Spanish, Swedish and Turkish updates.
  o configure: for fsck.cramfs, mkfs.cramfs: add test for libz
  o text-utils/Makefile: pg fix
  o agetty: use same test as login does to find utmp entry
  o fdisk: fix for fdisk on empty disk
  o mount updates
* Tue Jul 23 2002 - schwab@suse.de
- Fix mkfs.cramfs for architectures with non-4k pages.
* Wed Jul 17 2002 - mmj@suse.de
- Merged base into util-linux
* Mon Jul 15 2002 - mmj@suse.de
- Added JFSv2 patch from Christoph Hellwig for volume label. Does
  for JFS, what below patch does for ReiserFS.
* Sun Jul 14 2002 - adrian@suse.de
- fix ul-2.10m-sgi-fdisk.diff patch to apply again
* Thu Jul 11 2002 - mmj@suse.de
- Added patch from Chris Mason for volume label on reiserfs
* Wed Jul 10 2002 - olh@suse.de
- add mkfs.cramfs and fsck.cramfs to file list
* Wed Jul 10 2002 - mmj@suse.de
- Fixed nfs.5 to tell nfsver defaults to 3 [#16815]
* Mon Jul 08 2002 - mmj@suse.de
- Update to 2.11t which includes
  * fdformat: remove test on major
  * fdisk, hwclock and swap polishing
  * Lots of translations
  * cramfs tools includes from the kernel
  * swap{on,off} honours /proc/swaps
  * mount small fixups
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Mon Jul 01 2002 - bk@suse.de
- get raw built on s390 and s390x
- remove %%ifarchs s390 s390x for fdisk(needed for SCSI disks)
* Mon Jun 17 2002 - mmj@suse.de
- Added a fix for simpleinit exploit.
* Thu Jun 13 2002 - olh@suse.de
- disable hwclock ppc patch, maybe obsolete with recent kernels
* Thu May 16 2002 - mmj@suse.de
- Added manpage guessfstype(8)
* Thu May 09 2002 - mmj@suse.de
- Updated to util-linux-2.11r, including translations, x86-64 sup-
  port and small bugfixes.
* Sat Apr 13 2002 - mmj@suse.de
- Updated to util-linux-2.11q, includes bugfixes.
- util-linux-mkswap.patch for ia64 was folded into mainline
* Fri Apr 12 2002 - stepan@suse.de
- added x86-64 support.
* Thu Apr 04 2002 - ihno@suse.de
- corrected printf to report shared memories sizes bigger than
  2 GByte correct (Bug #15585). It was reportet on s390x, but
  should effect other 64-Bit systems as well.
* Tue Mar 19 2002 - mmj@suse.de
- Updated to 2.11o. The hexdump patch have been dropped since it
  was folded to mainline util-linux.
* Fri Mar 15 2002 - schwab@suse.de
- Fix mkswap for ia64.
* Mon Mar 04 2002 - draht@suse.de
- permissions fixes for write(1) and wall(1)
* Fri Feb 01 2002 - mmj@suse.de
- Moved /usr/bin/logger to /bin/logger (needed by sysconfig)
* Mon Jan 28 2002 - mmj@suse.de
- Added the guessfstype binary from msvec/fehr
* Thu Jan 24 2002 - ro@suse.de
- modified fillup_and_insserv call (perl-hack not needed here)
* Mon Jan 21 2002 - mmj@suse.de
- Merge NetBSD hexdump changes, fixes bugzilla #12801
* Thu Jan 10 2002 - ro@suse.de
- removed ACTIVATE_RAW_DEV
* Mon Dec 31 2001 - adrian@suse.de
- add patch for mips to create SGI partition tables with fdisk
* Tue Dec 18 2001 - bjacke@suse.de
- add adjtimex
* Mon Dec 10 2001 - mmj@suse.de
- Update to util-linux-2.11n
* Tue Nov 20 2001 - mmj@suse.de
- Added a patch to 'wall' to remove unwanted newline (#12181)
* Wed Nov 07 2001 - kukuk@suse.de
- Remove unneeded SPARC patch for hwclock
* Sat Oct 13 2001 - kukuk@suse.de
- Update to util-linux 2.11l
* Wed Sep 12 2001 - garloff@suse.de
- Fixed some dutch translations. (bug #10276)
* Mon Sep 10 2001 - olh@suse.de
- marry fdisk and AIX label again...
  add lsprop for ppc
  dumps the device tree in a human readable format
* Mon Sep 03 2001 - kukuk@suse.de
- Update to version 2.11i:
- blockdev: corrected ioctl numbers
- cal: fixed for multibyte locales
- line: new
- mount: added vxfs magic
* Sat Sep 01 2001 - kukuk@suse.de
- Let mount follow symlinks again
* Wed Aug 29 2001 - kukuk@suse.de
- Add new option to losetup manual page
* Tue Aug 28 2001 - draht@suse.de
- added timeout support for losetup (-t <timeout>)
* Mon Aug 27 2001 - kukuk@suse.de
- Add raw rc scripts, too
* Sun Aug 26 2001 - bjacke@suse.de
- added raw binary and put rawio into obsoletes and provides
* Sat Aug 25 2001 - kukuk@suse.de
- Fix path in getopt.1 manual page to example directory [Bug #9831]
* Fri Aug 24 2001 - kukuk@suse.de
- Small fix for hwclock on newer SPARCs
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Jul 30 2001 - kukuk@suse.de
- Update to util-linux-2.11h
- Add nologin program
* Tue Jul 10 2001 - kukuk@suse.de
- Remove swapdev from filelist
* Tue Jul 10 2001 - kukuk@suse.de
- Update to util-linux-2.11g
* Wed Jun 06 2001 - bk@suse.de
- added s390x to all ifnarch s390
* Fri Apr 20 2001 - kukuk@suse.de
- Fix wall bug (character 80, 160, 240, are missing) [Bug #6962]
* Mon Mar 26 2001 - kukuk@suse.de
- Add exception for broken i2o disk device numbering scheme, kernel
  hacker are not able to fix this and make it right [Bug #5881].
* Sat Mar 24 2001 - kukuk@suse.de
- Update to util-linux 2.11b
* Thu Mar 15 2001 - kukuk@suse.de
- Fix changing of partitions with ID 0 on SPARC
- Remove duplicate mount patch
* Wed Mar 14 2001 - schwab@suse.de
- Don't use _syscallX on ia64.
- Fix missing includes.
* Wed Mar 14 2001 - kukuk@suse.de
- Update to version 2.11a
* Fri Mar 02 2001 - kukuk@suse.de
- enable write again
* Mon Feb 12 2001 - kukuk@suse.de
- cmos.c: Use sys/io.h, fix PowerPC hack
* Tue Feb 06 2001 - ro@suse.de
- wall.c: include time.h
* Mon Feb 05 2001 - kukuk@suse.de
- Split hex to extra package
- Update to util-linux-2.10s
* Fri Feb 02 2001 - werner@suse.de
- Make swapon/swapoff more handy:
  * Ignore swap files on ro mounted file systems
  * If -a is given ignore already active devices at swapon
  * If -a is given ignore not active devices at swapoff
* Thu Jan 25 2001 - ro@suse.de
- added Provides: util
* Fri Jan 12 2001 - garloff@suse.de
- Apply patch to lomount to allow all kerneli crypt algos to be
  passed and allow to pass passwd with -k.
- losetup seems to support >2GB files just fine (#5433)
* Tue Jan 02 2001 - kukuk@suse.de
- Save permissions of /etc/mtab [Bug #5027]
* Tue Dec 05 2000 - kukuk@suse.de
- Search first in /etc/filesystems, then in /proc/filesystems
* Tue Dec 05 2000 - kukuk@suse.de
- Use AIX/fdisk patch from util-linux-2.10r
- Backport "guess filesystems" from util-linux-2.10r
* Tue Dec 05 2000 - schwab@suse.de
- Don't use _syscallX on ia64.
* Mon Dec 04 2000 - olh@suse.de
- fix diff again
* Sun Dec 03 2000 - olh@suse.de
- no segfaults with AIX disklabels
* Wed Nov 29 2000 - uli@suse.de
- fixed to build on PPC
* Mon Nov 27 2000 - schwab@suse.de
- Fix broken casts in hwclock.
* Thu Nov 23 2000 - bk@suse.de
- temporary disable pivot_root on s390(2.4 kernel is not yet built)
* Wed Nov 22 2000 - schwab@suse.de
- Add pivot_root to file list.
* Mon Nov 20 2000 - kukuk@suse.de
- Fix pmac-utils to compile with new kernel
* Fri Nov 17 2000 - kukuk@suse.de
- Fix hwclock to compile on PPC
* Wed Nov 15 2000 - kukuk@suse.de
- Update util-linux to 2.10q, merge flushb.diff
* Thu Nov 02 2000 - kukuk@suse.de
- Remove some of the last specfile changes
* Wed Nov 01 2000 - olh@suse.de
- update pmac-utils for new powermacs, cleanup specfile
* Fri Oct 20 2000 - kukuk@suse.de
- Update util-linux to 2.10p
- Rename package from util to util-linux
* Wed Sep 27 2000 - kukuk@suse.de
- Allow NFS v3 with 2.2.17.SuSE
* Tue Sep 26 2000 - kukuk@suse.de
- Fix mount for new NFS kernel patch
* Sat Sep 09 2000 - kukuk@suse.de
- Remove tcsh dependency
- Update to util-linux 2.10o, use of /etc/filesystems is still broken
* Fri Aug 25 2000 - pthomas@suse.de
- use %%{_mandir} and %%{_infodir} exclusively. This allows building
  from source rpm on platforms other than 7.0.
* Wed Jul 19 2000 - bk@suse.de
- s390: removed dasdfmt and silo, %%ifnarch s390 for some non-s390 things.
* Tue May 30 2000 - bk@suse.de
- added dasdfmt and silo on s390
* Mon May 15 2000 - kukuk@suse.de
- util-linux: Update to 2.10m
* Wed Apr 26 2000 - kukuk@suse.de
- flusb: Don't use kernel headers, even if we don't need them!
* Wed Apr 19 2000 - kukuk@suse.de
- util-linux: Update to 2.10l
* Mon Apr 17 2000 - kukuk@suse.de
- util-linux: Update to 2.10k
* Thu Apr 13 2000 - kukuk@suse.de
- Move /sbin/setserial to /bin/setserial, add compat link to
  /sbin. This fixes [Bug 1084] and is necessary for FHS 2.1
* Wed Apr 12 2000 - kukuk@suse.de
- Fix util-linux for Alpha
* Wed Apr 12 2000 - kukuk@suse.de
- util-linux: Update to 2.10j
* Sun Apr 02 2000 - bk@suse.de
- suse s390 team added support for s390
* Thu Mar 30 2000 - uli@suse.de
- hwclock/PPC: added support for MK48T559 RTC chip used in MTX+ boards
* Fri Mar 24 2000 - kukuk@suse.de
- Add Linux LVM partition tag to fdisk
- Fix a lot of more possible buffer overruns
- Fix some fdisk sunlabel bugs
- added BuildRoot fixes from nadvorni@suse.cz
* Wed Mar 22 2000 - kukuk@suse.de
- Update util-linux to 2.10h
- Add clock again for non PPC platforms
* Fri Mar 17 2000 - uli@suse.de
- now contains both hwclock and clock on PPC (/sbin/init.d/boot
  chooses what to run at runtime)
* Tue Mar 14 2000 - schwab@suse.de
- Add support for ia64.
* Thu Mar 09 2000 - kukuk@suse.de
- fdisk: Fix -l for Mylex RAID controller
* Tue Mar 07 2000 - kukuk@suse.de
- etc/filesystems: Add minix and reiserfs
* Tue Mar 07 2000 - kukuk@suse.de
- mount: fix endian problem with minix fs
* Tue Feb 15 2000 - kukuk@suse.de
- mount: Add hack for PPC/syscall mount problem
* Sun Feb 13 2000 - bk@suse.de
- let rdev continue in case it stubles over a bad file in /dev (/dev/snd fix)
* Fri Feb 04 2000 - kukuk@suse.de
- Make PPC clock parameter compatible to hwclock
* Thu Feb 03 2000 - kukuk@suse.de
- Fix filelist for SPARC
* Thu Feb 03 2000 - kukuk@suse.de
- util-linux: Update to 2.10f (mount security fix)
* Sun Jan 23 2000 - kukuk@suse.de
- util-linux: Update to 2.10e
* Tue Jan 18 2000 - kukuk@suse.de
- mount now looks at first in /etc/filesystems and then in
  /proc/filesystems
* Tue Jan 18 2000 - ro@suse.de
- fixed pmac-utils to build with 2.3 as well
* Tue Jan 18 2000 - kukuk@suse.de
- Fix a lot of fdisk buffer overruns [Bug 1642]
* Mon Jan 17 2000 - kukuk@suse.de
- Fix setserial for Linux 2.3.40
- Remove write, is now in nkitb
- Build minix and bfs tools for SPARC
- Fix some buffer overflows in fdisk
* Fri Dec 17 1999 - kukuk@suse.de
- util-linux: Update to 2.10d
- hex: Update to 1.2
- Move manual pages to /usr/share/man
* Tue Nov 30 1999 - uli@suse.de
- re-added hwclock link for PPC (2nd try)
* Tue Nov 30 1999 - uli@suse.de
- re-added hwclock link for PPC
* Mon Nov 15 1999 - kukuk@suse.de
- util-linux: Update to 2.10b
* Sat Nov 13 1999 - kukuk@suse.de
- setserial: Add Patch for Sparc
- Fix filelist for Sparc
* Wed Oct 27 1999 - garloff@suse.de
- added flushb (moved here from ddrescue).
- fix bug in logger (remove trailing newlines).
* Fri Oct 22 1999 - kukuk@suse.de
- util-linux: Remove old patches for mk_loop_h
* Sat Oct 16 1999 - kukuk@suse.de
- util-linux: Update to 2.9z
* Fri Oct 08 1999 - kukuk@suse.de
- Update to util-linux-2.9y (execpt fdisk)
* Tue Sep 14 1999 - uli@suse.de
- added PMac-specific utils for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 - uli@suse.de
- disabled hayesesp for PPC
* Wed Aug 25 1999 - kukuk@suse.de
- Dont install tsort, its now in textutils 2.0
* Tue Aug 24 1999 - kukuk@suse.de
- Update to util-linux-2.9w (execpt fdisk)
* Mon Aug 09 1999 - kukuk@suse.de
- Update to util-linux-2.9v (execpt fdisk)
* Tue Jul 20 1999 - garloff@suse.de
- Added hex from Erich S. Raymond
* Mon Jul 12 1999 - kukuk@suse.de
- Add fdisk patch from Klaus G. Wagner
- Add mount patch from util-linux 2.9u
* Tue Jul 06 1999 - kukuk@suse.de
- update to util-linux-2.9t
* Fri Jun 25 1999 - kukuk@suse.de
- update to util-linux-2.9s
* Wed Mar 03 1999 - ro@suse.de
- hwclock.c: always use busywait to get rtctime
  (it's hard to find out at runtime if we will get an irq)
* Tue Mar 02 1999 - ro@suse.de
- update to util-linux-2.9i
- update to setserial-2.15
- using diffs from jurix and add-ons from kgw for compaq smart raid
* Mon Feb 01 1999 - ro@suse.de
- rdev is not built on alpha
* Mon Jan 18 1999 - florian@suse.de
- fixed one broken case to delete a partition in fdisk
* Sun Dec 13 1998 - bs@suse.de
- fixed file list
* Thu Dec 10 1998 - fehr@suse.de
- fix bug in fdisk
* Tue Dec 08 1998 - ro@suse.de
- removed last from filelist
- added link /sbin/clock -> hwclock
* Wed Nov 04 1998 - ro@suse.de
- fdisksunlabel: don't include scsi/scsi.h for glibc-2.0
* Fri Oct 30 1998 - ro@suse.de
- update to 2.9 / added hostid from previous diff
- copied some glibc changes from previous diff (strcpy..)
* Thu Sep 17 1998 - ro@suse.de
- define _GNU_SOURCE when using getopt
* Mon Aug 31 1998 - ro@suse.de
- full switch to util-linux 2.8
--  sync has moved to pkg fileutils
--  chroot has moved to pkg sh_utils (has been there for a while)
--  adopted hostid from previous suse-pkg
* Mon Aug 24 1998 - ro@suse.de
- switched to use mount from util-linux-2.8
* Tue Jun 23 1998 - ro@suse.de
- added fdisk, sfdisk, cfdisk from util-linux-2.8
  (including man-pages,readmes)
* Mon Nov 17 1997 - ro@suse.de
- changed /local/bin/perl5 in chkdupexe to /usr/bin/perl
* Fri Oct 31 1997 - ro@suse.de
- temporarily removed mount-hacker
* Wed Oct 29 1997 - florian@suse.de
- add changes from ms@suse.de for hostid.c
* Tue May 20 1997 - florian@suse.de
- only support kernel 2.0.x for nfs mounts, please use /bin/mount-hacker
  for kernel 2.1.x
* Wed Apr 30 1997 - florian@suse.de
- update to mount 2.6g
* Sun Apr 13 1997 - florian@suse.de
- update to new version util-linux 2.6
- update to new version mount 2.6e
* Thu Jan 02 1997 - florian@suse.de
- update to mount 2.5p
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version von mount 2.5o.
* Thu Jan 02 1997 - florian@suse.de
- updated to new version mount 2.5m
- (u)mount now gives much better error messages
* Thu Jan 02 1997 - bs@suse.de
  compile setterm with libtermcap and not libncurses
  use newer mount instead of the old version in util-linux
  (security fix)
